import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiRgGetResourceConsumptionResultModel(
    _base.BaseAPIResultModel,
):
    id: int
    consumed: _nested.ResourceCountersAPIResultNM
    reserved: _nested.ResourceCountersAPIResultNM
    quotas: _nested.TenantQuotasForResourceConsumptionAPIResultNM


class CloudapiRgGetResourceConsumptionProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def get_resource_consumption(
        self,
        *,
        rg_id: int,
    ) -> CloudapiRgGetResourceConsumptionResultModel: ...
